# FoundationClasses
TKAdvTools
GraphTools

# GraphTools_RGNode Class Reference

`#include <GraphTools_RGNode.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GraphTools_RGNode ()
Standard_EXPORT void | Reset ()
Standard_EXPORT void | SetVisited (const Standard_Integer v)
Standard_EXPORT Standard_Integer | GetVisited () const
Standard_EXPORT void | AddAdj (const Standard_Integer adj)
Standard_EXPORT Standard_Integer | NbAdj () const
Standard_EXPORT Standard_Integer | GetAdj (const Standard_Integer index) const
Standard_EXPORT void | SetSC (const Handle(GraphTools_SC)&SC)
Standard_EXPORT Handle_GraphTools_SC | GetSC () const

## Private Attributes

Standard_Integer | visited
TColStd_SequenceOfInteger | myAdj
Handle_GraphTools_SC | mySC

## Constructor & Destructor Documentation

Standard_EXPORT GraphTools_RGNode::GraphTools_RGNode | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void GraphTools_RGNode::AddAdj | ( | const Standard_Integer | adj | ) |

Standard_EXPORT Standard_Integer GraphTools_RGNode::GetAdj | ( | const Standard_Integer | index | ) | const

Standard_EXPORT Handle_GraphTools_SC GraphTools_RGNode::GetSC | ( |  | ) | const

Standard_EXPORT Standard_Integer GraphTools_RGNode::GetVisited | ( |  | ) | const

Standard_EXPORT Standard_Integer GraphTools_RGNode::NbAdj | ( |  | ) | const

void GraphTools_RGNode::operator delete | ( | void * | anAddress | ) | `[inline]`

void* GraphTools_RGNode::operator new | ( | size_t | size | ) | `[inline]`

void* GraphTools_RGNode::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void GraphTools_RGNode::Reset | ( |  | ) |

Standard_EXPORT void GraphTools_RGNode::SetSC | ( | const Handle(GraphTools_SC)& | SC | ) |

Standard_EXPORT void GraphTools_RGNode::SetVisited | ( | const Standard_Integer | v | ) |

## Field Documentation

TColStd_SequenceOfInteger GraphTools_RGNode::myAdj `[private]`

Handle_GraphTools_SC GraphTools_RGNode::mySC `[private]`

Standard_Integer GraphTools_RGNode::visited `[private]`

The documentation for this class was generated from the following file:

- GraphTools_RGNode.hxx